Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginStructuralState

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginStructuralState

    public class PluginStructuralState

extends PluginSBase

Field Summary
`static java.lang.String` | `STR_CLOSED`
`static java.lang.String` | `STR_EMPTY`
`static java.lang.String` | `STR_OPEN`
`static java.lang.String` | `STR_USER_DEFINED`

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`PluginStructuralState()`

Method Summary
`protected void` | `clone(jp.sbi.celldesigner.sbmlExtension.StructuralState structuralState)`
`boolean` | `equals(jp.sbi.celldesigner.sbmlExtension.StructuralState target)`
`double` | `getAngle()`
`java.lang.String` | `getState()`
`void` | `setAngle(double angle)`
`void` | `setState(java.lang.String state)`

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STR_EMPTY

    public static final java.lang.String STR_EMPTY

See Also:
  Constant Field Values

### STR_OPEN

    public static final java.lang.String STR_OPEN

See Also:
  Constant Field Values

### STR_CLOSED

    public static final java.lang.String STR_CLOSED

See Also:
  Constant Field Values

### STR_USER_DEFINED

    public static final java.lang.String STR_USER_DEFINED

See Also:
  Constant Field Values

Constructor Detail

### PluginStructuralState

    public PluginStructuralState()

Method Detail

### clone

    protected void clone(jp.sbi.celldesigner.sbmlExtension.StructuralState structuralState)

### equals

    public boolean equals(jp.sbi.celldesigner.sbmlExtension.StructuralState target)

### setState

    public void setState(java.lang.String state)

### getState

    public java.lang.String getState()

  Returns:
    state See setState.

### setAngle

    public void setAngle(double angle)

### getAngle

    public double getAngle()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD